@import "layout";
@import "elements.stylesheet";

:host {
  display: block;
  margin-bottom: $spacing-large;

  @include styles-for-phone-only {
    padding: 0 $spacing-small;
  }
}

.top-area {
  display: flex;
  margin-top: $spacing-large;

  @include styles-for-phone-only {
    flex-flow: column;
  }

  label {
    font-size: 16px;
    margin-right: $spacing-medium;
    margin-bottom: 0;
    flex: 1;
  }
}

.info-area {
  display: flex;
  max-width: 300px;
  flex-flow: column;
  flex: 1;

  &__box {
    display: flex;
    align-items: baseline;
    margin-bottom: $spacing-mini;

    &__value {
      flex: 2;
    }
  }
}

.description-area {
  flex: 2;
  display: flex;
  flex-flow: column;
  padding-left: $spacing-small;

  @include styles-for-phone-only {
    padding-left: 0;
  }

  label {
    flex: initial;
    margin-bottom: 16px;

    span {
      display: inline-block;
      padding: 0 $spacing-mini;
      border-right: solid $mediumGrey 1px;
      cursor: pointer;

      &:last-child {
        border-right: 0;
      }
    }
  }
}

.photos-area {
  margin-top: $spacing-medium;

  img {
    max-width: 300px;
    margin-right: $spacing-small;
    margin-bottom: $spacing-small;

    @include styles-for-phone-only {
      width: 100%;
      max-width: initial;
    }
  }
}

.additional-info {
  display: flex;
  flex-flow: column;
}
